%define upstream_name    Devel-LexAlias
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 23

Summary:    Alias lexical variables
License:    Artistic/GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::Caller) >= 0.30.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)

%{?perl_default_filter}
BuildRequires: perl-devel
%description
Devel::LexAlias provides the ability to alias a lexical variable in a
subroutines scope to one of your choosing.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml
%{_mandir}/*/*
%{perl_vendorarch}/Devel/*
%{perl_vendorarch}/auto/Devel/*


%changelog
* Fri Dec 01 2023 tv <tv> 0.50.0-23.mga10
+ Revision: 2012032
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.50.0-22.mga9
+ Revision: 1861782
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.50.0-21.mga9
+ Revision: 1796338
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.50.0-20.mga9
+ Revision: 1726553
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.50.0-19.mga8
+ Revision: 1594539
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 0.50.0-18.mga8
+ Revision: 1529038
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Mon Aug 26 2019 tv <tv> 0.50.0-17.mga8
+ Revision: 1432899
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.50.0-16.mga7
+ Revision: 1292780
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.50.0-15.mga7
+ Revision: 1249326
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.50.0-14.mga7
+ Revision: 1164062
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.50.0-13.mga7
+ Revision: 1149616
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.50.0-12.mga7
+ Revision: 1127587
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.50.0-11.mga6
+ Revision: 1025530
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.50.0-10.mga6
+ Revision: 957161
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.50.0-9.mga6
+ Revision: 844859
- rebuild for soname-ifed perl

* Wed Jun 24 2015 shlomif <shlomif> 0.50.0-8.mga6
+ Revision: 842004
- Rebuild for the new perl-5.22.0

* Sun Oct 19 2014 umeabot <umeabot> 0.50.0-7.mga5
+ Revision: 788574
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.50.0-6.mga5
+ Revision: 747158
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.50.0-5.mga5
+ Revision: 735567
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.50.0-4.mga5
+ Revision: 684322
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.50.0-3.mga5
+ Revision: 632405
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.50.0-2.mga4
+ Revision: 524830
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.50.0-1.mga4
+ Revision: 431593
- update to 0.05
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-6.mga3
+ Revision: 365785
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.40.0-5.mga3
+ Revision: 250520
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 0.40.0-4.mga2
+ Revision: 104179
- perl 5.14

* Sun Jan 23 2011 jquelin <jquelin> 0.40.0-3.mga1
+ Revision: 33716
- mageia rebuild
- imported package perl-Devel-LexAlias

